import React from 'react';
import { Code } from './Code';
import { Preview } from './Preview';
import { Toolbar } from './Toolbar';
import './styles.css';
export declare const CODE_PREVIEW_PREFIX = "w-rcpl";
export interface CodePreviewProps extends React.HTMLAttributes<HTMLDivElement> {
    prefixCls?: string;
    /**
     * Whether border is required
     * @default true
     */
    bordered?: boolean;
    /** disable checkered */
    disableCheckered?: boolean;
}
declare const InternalCodePreview: React.ForwardRefExoticComponent<CodePreviewProps & React.RefAttributes<HTMLDivElement>>;
type CodePreviewComponent = typeof InternalCodePreview & {
    Preview: typeof Preview;
    Code: typeof Code;
    Toolbar: typeof Toolbar;
};
export declare const CodePreview: CodePreviewComponent;
export {};
//# sourceMappingURL=CodePreview.d.ts.map