"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodePreview = exports.CODE_PREVIEW_PREFIX = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _Code = require("./Code");
var _Preview = require("./Preview");
var _Toolbar = require("./Toolbar");
var _store = require("./store");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children", "prefixCls", "className", "bordered", "disableCheckered"];
var CODE_PREVIEW_PREFIX = 'w-rcpl';
exports.CODE_PREVIEW_PREFIX = CODE_PREVIEW_PREFIX;
var Internal = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var children = props.children,
    _props$prefixCls = props.prefixCls,
    prefixCls = _props$prefixCls === void 0 ? CODE_PREVIEW_PREFIX : _props$prefixCls,
    className = props.className,
    _props$bordered = props.bordered,
    bordered = _props$bordered === void 0 ? true : _props$bordered,
    disableCheckered = props.disableCheckered,
    divProps = (0, _objectWithoutProperties2["default"])(props, _excluded);
  var cls = [prefixCls, className, bordered ? "w-bordered" : null, disableCheckered ? "w-disable-checkered" : null].filter(Boolean).join(' ').trim();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", (0, _objectSpread2["default"])((0, _objectSpread2["default"])({
    ref: ref
  }, divProps), {}, {
    className: cls,
    children: _react["default"].Children.map(children, function (child, key) {
      if (! /*#__PURE__*/_react["default"].isValidElement(child)) return child;
      return /*#__PURE__*/_react["default"].cloneElement(child, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, child.props), {}, {
        key: key
      }));
    })
  }));
});
var InternalCodePreview = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_store.Provider, {
    value: {
      collapse: false
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(Internal, (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, props), {}, {
      ref: ref
    }))
  });
});
var CodePreview = InternalCodePreview;
exports.CodePreview = CodePreview;
CodePreview.Preview = _Preview.Preview;
CodePreview.Toolbar = _Toolbar.Toolbar;
CodePreview.Code = _Code.Code;